use kube::CustomResource;
use schemars::JsonSchema;
use serde::{Deserialize, Serialize};

#[derive(CustomResource, Deserialize, Serialize, Clone, Debug, PartialEq, JsonSchema)]
#[kube(
    group = "melenion.com",
    version = "v1",
    kind = "NeonDatabase",
    namespaced,
    shortname = "nd",
    // status = "NeonDatabaseStatus"
)]
pub struct NeondatabaseSpec {
    pub compute_image_ref: String,
    pub neon_image_ref: String,
    pub postgres_version: String,
}

pub struct NeonDatabaseStatus {}
